> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/merchant-tokenization/ja/sdk-tong-he/android-api/migrate-from-2.x-to-3.0.md).

# 2.x から 3.0 に移行

Thales SDK 3.0.0 以降、いくつかの公開 API が簡素化されました。

## 名前が変更されたクラスと API <a href="#renamed-classes-and-apis" id="renamed-classes-and-apis"></a>

* [PendingBindingSession.java](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/2.0.0/com/thalesgroup/tmgsdk/PendingBindingSession.html) から [IDVSession.java](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/3.0.0/com/thalesgroup/tmgsdk/IDVSession.html).
* [PendingBindingSession.submitIdvMethod()](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/2.0.0/com/thalesgroup/tmgsdk/PendingBindingSession.html#submitIdvMethod\(com.thalesgroup.tmgsdk.IDVMethod\)) から [IDVSession.selectIdvMethod()](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/3.0.0/com/thalesgroup/tmgsdk/visa/IDVSession.html#selectIdvMethod\(com.thalesgroup.tmgsdk.visa.IDVMethod\)).

## 名前が変更されたパッケージ <a href="#renamed-package" id="renamed-package"></a>

* Visa 固有のクラスは `visa` パッケージに移動しました： [VisaCTFHelper](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/3.0.0/com/thalesgroup/tmgsdk/visa/VisaCTFHelper.html), [TokenBindingListener](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/3.0.0/com/thalesgroup/tmgsdk/visa/TokenBindingListener.html), [IDVSession](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/3.0.0/com/thalesgroup/tmgsdk/visa/IDVSession.html), [IDVMethod](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/3.0.0/com/thalesgroup/tmgsdk/visa/IDVMethod.html), [IDVType](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/3.0.0/com/thalesgroup/tmgsdk/model/visa/IDVType.html)onFilterTouchEventForSecurity [OtpActivationStatus](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/3.0.0/com/thalesgroup/tmgsdk/model/visa/OtpActivationStatus.html).

Visa と Mastercard のクラス名が同一であるため、曖昧な参照エラーを回避するために次の変更を推奨します：

* Java では、Visa と Mastercard の API 呼び出しを別々のクラスに分けてください。同一クラス内で Visa と Mastercard の両方の API を呼び出すために完全修飾名（クラス名とパッケージ）を使用することは推奨されません。
* Kotlin では、パッケージエイリアス機能を次の `as` キーワードで使用してください：

```kotlin
import com.thalesgroup.tmgsdk.visa.IDVMethod as VisaIDVMethod
import com.thalesgroup.tmgsdk.mastercard.IDVMethod as MasterCardIDVMethod

fun main() {
 var visaIDVMethod: VisaIDVMethod
 var masterCardIDVMethod: MasterCardIDVMethod
}
```

## 削除されたクラスと API <a href="#removed-classes-and-apis" id="removed-classes-and-apis"></a>

* [TMGClientConfiguration.Builder](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/2.0.0/com/thalesgroup/tmgsdk/TMGClientConfiguration.Builder.html)：すべての構成オプションは [TMGClientConfiguration](https://thalesgroup.github.io/d1sdk-docs/tmg-sdk/android/3.0.0/com/thalesgroup/tmgsdk/TMGClientConfiguration.html) コンストラクタに移されました。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/merchant-tokenization/ja/sdk-tong-he/android-api/migrate-from-2.x-to-3.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
